// Fungsi untuk toggle visibility password
function togglePassword() {
    const passwordInput = document.getElementById('password');
    const toggleButton = document.querySelector('.toggle-password i');
    
    if (passwordInput.type === 'password') {
        passwordInput.type = 'text';
        toggleButton.classList.remove('fa-eye');
        toggleButton.classList.add('fa-eye-slash');
    } else {
        passwordInput.type = 'password';
        toggleButton.classList.remove('fa-eye-slash');
        toggleButton.classList.add('fa-eye');
    }

    // Animasi saat toggle
    toggleButton.style.transform = 'scale(0.8)';
    setTimeout(() => {
        toggleButton.style.transform = 'scale(1)';
    }, 100);
}

// Event listener saat dokumen sudah dimuat
document.addEventListener('DOMContentLoaded', function() {
    // Tambahkan event listener untuk form submission
    const loginForm = document.querySelector('form');
    if (loginForm) {
        loginForm.addEventListener('submit', function(e) {
            const username = document.getElementById('username').value;
            const password = document.getElementById('password').value;
            
            if (!username || !password) {
                e.preventDefault();
                alert('Mohon isi semua field!');
            }
        });
    }

    // Tambahkan event listener untuk animasi input fields
    const inputs = document.querySelectorAll('.form-control');
    inputs.forEach(input => {
        input.addEventListener('focus', function() {
            this.parentElement.style.transform = 'translateY(-2px)';
        });

        input.addEventListener('blur', function() {
            if (!this.value) {
                this.parentElement.style.transform = 'translateY(0)';
            }
        });
    });
}); 